nn.pp.rccore

## Enum Snapshot.ColorFormat

- java.lang.Object
- - java.lang.Enum<Snapshot.ColorFormat>
  - - nn.pp.rccore.Snapshot.ColorFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Snapshot.ColorFormat>
  Enclosing class:
    Snapshot

      public static enum Snapshot.ColorFormat
      extends java.lang.Enum<Snapshot.ColorFormat>

  The color format of the snapshot

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RGB24` 24 bit RGB format
    `YCBCR420` YCbCr 4:2:0 format
    `YCBCR422` YCbCr 4:2:2 format
    `YCBCR444` YCbCr 4:4:4 format

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Snapshot.ColorFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Snapshot.ColorFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RGB24

          public static final Snapshot.ColorFormat RGB24

      24 bit RGB format

    - #### YCBCR420

          public static final Snapshot.ColorFormat YCBCR420

      YCbCr 4:2:0 format

    - #### YCBCR422

          public static final Snapshot.ColorFormat YCBCR422

      YCbCr 4:2:2 format

    - #### YCBCR444

          public static final Snapshot.ColorFormat YCBCR444

      YCbCr 4:4:4 format

  - ### Method Detail

    - #### values

          public static Snapshot.ColorFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Snapshot.ColorFormat c : Snapshot.ColorFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Snapshot.ColorFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.